#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x95,0x5B,0x9F,0xF5,0x0B,0x1D,0x82,0x33,0x85,0x75,0x77,0x72,
		0x8C,0x4C,0x83,0x7C,0x5F,0xB3,0xFB,0xAA,0x9E,0x6D,0xC9,0x40,
		0xBE,0x83,0xD1,0xB2,0x98,0x72,0xCC,0xBF,0x80,0xAB,0x3A,0x15,
		0x8F,0x4B,0xF5,0x5A,0xCD,0x33,0x0E,0x14,0xC5,0x40,0xA0,0x74,
		0xCB,0x4D,0x9F,0xB6,0x8D,0x07,0x49,0xB0,0x44,0xC3,0xC3,0x26,
		0x57,0x93,0xB9,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
